%define	levels_ver	20160512
Summary:	Breakout/Arkanoid style arcade game
Summary(pl.UTF-8):	Gra w stylu Breakouta/Arkanoida
Name:		lbreakout2
Version:	2.6.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source0-md5:	1a9238b83f9f13f09b7a4d53e00b4e84
Source1:	http://downloads.sourceforge.net/lgames/%{name}-levelsets-%{levels_ver}.tar.gz
# Source1-md5:	40aad93c3b3131aa81d08ea8901bf00b
Patch0:		%{name}-useless_files.patch
Patch1:		%{name}-desktop.patch
URL:		http://lgames.sourceforge.net/LBreakout2
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	libpng-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/games

%description
LBreakout is a breakout game with nice graphics, effects and sound.
You can play it either with mouse or keyboard and you can create your
own levels.

%description -l pl.UTF-8
LBreakout to gra breakout z przyjemną grafiką, efektami i dźwiękiem.
Można grać myszą lub klawiaturą oraz tworzyć własne poziomy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's,\$(datadir)/icons,$(datadir)/pixmaps,' Makefile.am

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# additional levels
tar xzf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/lbreakout2/levels

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO docs/*{html,jpg}
%attr(2755,root,games) %{_bindir}/lbreakout2
%attr(2755,root,games) %{_bindir}/lbreakout2server
%dir %{_datadir}/lbreakout2
%dir %{_datadir}/lbreakout2/gfx
%{_datadir}/lbreakout2/gfx/*.png
%{_datadir}/lbreakout2/gfx/AbsoluteB
%{_datadir}/lbreakout2/gfx/Classic
%{_datadir}/lbreakout2/gfx/Moiree
%{_datadir}/lbreakout2/gfx/Oz
%{_datadir}/lbreakout2/gui_theme
%{_datadir}/lbreakout2/levels
%{_datadir}/lbreakout2/sounds
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/lbreakout2.hscr
%{_desktopdir}/lbreakout2.desktop
%{_pixmapsdir}/lbreakout48.gif
%changelog
* Wed Sep 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lbreakout2.git;a=log;h=master

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> b32ef97
- include additional levels from 20160512 levelsets tarball

* Wed Sep 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 29d0a26
- updated to 2.6.5
- use upstream .desktop (with desktop patch) and icon files
- sgid games for high scores to work

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b65c624
- updated gettext BR

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> eb2a80e
- release 4 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d436ba
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e4411b
- release 2

* Thu Mar 10 2011 Zsolt Udvari <uzsolt@pld-linux.org> 37364f8
- 2.6.3

* Wed Oct 06 2010 lisu <lisu@pld-linux.org> 8c55aee
- do not install not needed files

* Wed Oct 06 2010 lisu <lisu@pld-linux.org> 9140534
- updated to 2.6.2
- add -useless_files.patch

* Tue Jan 19 2010 sparky <sparky@pld-linux.org> 2e25e4f
- BR: gettext-devel

* Tue Jan 19 2010 lisu <lisu@pld-linux.org> 4953190
- up to 2.6.1

* Tue Nov 10 2009 lisu <lisu@pld-linux.org> d5dc779
- outdated

* Tue Nov 10 2009 lisu <lisu@pld-linux.org> c1c629c
- new icon

* Tue Nov 10 2009 lisu <lisu@pld-linux.org> bce8864
- up to 2.6
- printf-security.patch applied upstream
- %%find_lang macro
- do not give global privileges for non-root uig and gid
- new icon

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> d1f7acf
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 56c4ada
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0885310
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 49ff8d8
- adalterized (sorted %verify flags)

* Fri Jan 14 2005 wolf <wolf@pld-linux.org> 488aaaf
- 2.5.2

* Sun Sep 26 2004 paladine <paladine@pld-linux.org> 0804631
- updated to 2.5.1

